## ros-kinetic-gazebo-ros-pkgs 2.5.21

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(gazebo_ros_pkgs)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-kinetic-gazebo-ros-pkgs (2.5.21-1xenial) xenial; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 05 Apr 2021 17:30:43 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.20-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 08 May 2020 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.19-1xenial) xenial; urgency=high

  * Remove extra angle bracket (#893 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/893>)
  * Contributors: David V. Lu!!

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 04 Jun 2019 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.18-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 23 Jan 2019 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.17-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 07 Jun 2018 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.16-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 04 Jun 2018 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.15-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 Feb 2018 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.14-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Dec 2017 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.13-1xenial) xenial; urgency=high

  * Add catkin package(s) to provide the default version of Gazebo (#571 <https://github.com/ros-simulation/gazebo_ros_pkgs/issues/571>)
    * Added catkin package gazebo_dev which provides the cmake config of the installed Gazebo version
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sat, 24 Jun 2017 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.12-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 25 Apr 2017 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.11-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 18 Apr 2017 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.10-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 03 Mar 2017 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.9-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 20 Feb 2017 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.8-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 06 Dec 2016 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.7-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 10 Jun 2016 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.6-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 28 Apr 2016 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.5-1xenial) xenial; urgency=high

  * merge indigo, jade to kinetic-devel
  * Update maintainer for Kinetic release
  * Contributors: Jose Luis Rivero, Steven Peters

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 27 Apr 2016 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.3-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 11 Apr 2016 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.2-1xenial) xenial; urgency=high

  * merging from indigo-devel
  * 2.4.9
  * Generate changelog
  * Contributors: John Hsu, Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 25 Feb 2016 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.1-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 16 Aug 2015 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.5.0-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 30 Apr 2015 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.10-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 25 Feb 2016 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.9-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Sun, 16 Aug 2015 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.8-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Tue, 17 Mar 2015 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.7-1xenial) xenial; urgency=high

  * Update Gazebo/ROS tutorial URL
  * Contributors: Jose Luis Rivero

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 15 Dec 2014 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.6-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 01 Sep 2014 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.5-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 18 Aug 2014 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.4-1xenial) xenial; urgency=high

  * Updated package.xml
  * Fix repo names in package.xml's
  * Contributors: Dave Coleman, Jon Binney

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Fri, 18 Jul 2014 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.3-1xenial) xenial; urgency=high



 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Mon, 12 May 2014 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.2-1xenial) xenial; urgency=high

  * merging from hydro-devel
  * bump patch version for indigo-devel to 2.4.1
  * merging from indigo-devel after 2.3.4 release
  * "2.4.0"
  * catkin_generate_changelog
  * Contributors: John Hsu

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Thu, 27 Mar 2014 07:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.1-1xenial) xenial; urgency=high

  * rerelease because sdformat became libsdformat, but we also based change on 2.3.4 in hydro-devel.

 -- Jose Luis Rivero <jrivero@osrfoundation.org>  Wed, 13 Nov 2013 08:00:00 -0000

ros-kinetic-gazebo-ros-pkgs (2.4.0-1xenial) xenial; urgency=high





=== debian/control ===
Source: ros-kinetic-gazebo-ros-pkgs
Section: misc
Priority: optional
Maintainer: Jose Luis Rivero <jrivero@osrfoundation.org>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin
Homepage: http://gazebosim.org/tutorials?cat=connect_ros
Standards-Version: 3.9.2

Package: ros-kinetic-gazebo-ros-pkgs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-gazebo-dev, ros-kinetic-gazebo-msgs, ros-kinetic-gazebo-plugins, ros-kinetic-gazebo-ros
Description: Interface for using ROS with the Gazebo simulator.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/kinetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/kinetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/kinetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-kinetic-gazebo-ros-pkgs//opt/ros/kinetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/kinetic/setup.sh" ]; then . "/opt/ros/kinetic/setup.sh"; fi && \
	dh_auto_install
